<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('sales', function (Blueprint $table) {
            $table->boolean('tax_invoice_issued')->default(false)->after('status')->comment('세금계산서 발행완료');
            $table->boolean('transaction_statement_issued')->default(false)->after('tax_invoice_issued')->comment('거래명세서 발행완료');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('sales', function (Blueprint $table) {
            $table->dropColumn(['tax_invoice_issued', 'transaction_statement_issued']);
        });
    }
};
